#include "LineEditWidget.h"
#include <QRegExpValidator>

const QString LineEditWidget::type = "LineEdit";

LineEditWidget::LineEditWidget(QWidget *parent)
    :QLineEdit(parent)
{
}


void LineEditWidget::setObjectName(const QString &name)
{
	QObject::setObjectName(name);
	setName(name);

    QVariant property;
    property.setValue(static_cast<IxWidget*>(this));
    setProperty("IxWidget",property);
}

QVariant LineEditWidget::getValue() const
{
    return text().trimmed();
}

void LineEditWidget::setValue(const QVariant &value)
{
	if (value.type() != QMetaType::QString && value.toDouble() == 0)
		setText("");
	else 
		setText(value.toString());
}

bool LineEditWidget::isValueNull() const
{
    return text().trimmed().isEmpty();
}

void LineEditWidget::clearInput()
{
    clear();
}

